www/py-cfscrape - The NetBSD Packages Collection

Python module for dealing with Cloudfare protection

This Python module allows by-passing of Cloudfare's anti-bot page. It
will dynamically evaluate the Javascript challenge as proof of web
browserness. It cannot handle reCAPTCHA challenges.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/nodejs devel/py-requests devel/py-setuptools lang/python38 lang/python38

Available binary packages

aarch64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
aarch64:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv6hf:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv7hf:py27-cfscrape-2.0.8.tgz(NetBSD 8.0)
earmv7hf:py36-cfscrape-2.0.8.tgz(NetBSD 8.0)
earmv7hf:py37-cfscrape-2.0.8.tgz(NetBSD 8.0)
earmv7hf:py38-cfscrape-2.0.8.tgz(NetBSD 8.0)
earmv7hf:py39-cfscrape-2.0.8.tgz(NetBSD 8.0)
earmv7hf:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv7hf:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv7hf:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv7hf:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
earmv7hf:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py27-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py36-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py37-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py38-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py27-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py36-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py37-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py38-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py27-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py36-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py37-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py38-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py39-cfscrape-2.0.8.tgz(NetBSD 8.0)
i386:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
i386:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py39-cfscrape-2.0.8.tgz(NetBSD 8.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py27-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py36-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py37-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py38-cfscrape-2.0.8.tgz(NetBSD 9.0)
x86_64:py39-cfscrape-2.0.8.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]